import { ParamType, RouteTreeNode } from '../types';
/**
 * Utility function to generate indent (spaces).
 *
 * @param depth A number indicating the depth of the route tree
 */
export declare const getIndent: (depth: number) => string;
/**
 * Updates the map of parameters used in the currently generated path.
 *
 * @param params The original (previous) params map
 * @param node Currently explored node
 */
export declare const updateParams: (params: Record<string, ParamType>, node: RouteTreeNode) => Record<string, ParamType>;
export declare const generateParams: (params: Record<string, ParamType>, withTypes?: boolean) => string;
export declare const generateRouteBuilderType: (directoryTree: RouteTreeNode) => string;
export declare const generateRouteBuilder: (directoryTree: RouteTreeNode, trailingSlash: boolean) => string;
//# sourceMappingURL=generators.d.ts.map