import { RouteTreeNode } from '../types';
/**
 * Removes all "unnecessary" characters. For example, symbols Next.js uses to
 * differentiate between static/dynamic pages.
 *
 * @param nodeName Route tree node name (directory or file name)
 */
export declare const sanitizeNodeName: (nodeName: string) => string;
/**
 * Transforms a route tree node name to a camel-case, extension-less version.
 * Route tree names can be folder or file names. We have to transform these
 * names, so they can be used as object keys.
 *
 * @param nodeName Route tree node name (directory or file name)
 */
export declare const getKeyName: (nodeName: string) => string;
/**
 * Generates full paths for page nodes including param transformations
 * if necessary.
 *
 * @param base Base path (prefix)
 * @param node Current node
 * @param trailingSlash Trailing slash setting
 */
export declare const getPagePath: (base: string, node: RouteTreeNode, trailingSlash?: boolean) => string;
export declare const updateBase: (base: string, node: RouteTreeNode) => string;
//# sourceMappingURL=transforms.d.ts.map